# lugins/osg/Geometry.cpp File Reference

`#include <osg/Geometry>`
`#include <osg/Notify>`
`#include <osgDB/Registry>`
`#include <osgDB/Input>`
`#include <osgDB/ParameterOutput>`

Include dependency graph for lugins/osg/Geometry.cpp:

## Functions

bool | Geometry_readLocalData (Object &obj, Input &fr)
bool | Geometry_writeLocalData (const Object &obj, Output &fw)
bool | Geometry_matchBindingTypeStr (const char *str, Geometry::AttributeBinding &mode)
const char * | Geometry_getBindingTypeStr (Geometry::AttributeBinding mode)
bool | Geometry_matchPrimitiveModeStr (const char *str, GLenum &mode)
const char * | Geometry_getPrimitiveModeStr (GLenum mode)
Array * | Array_readLocalData (Input &fr)
bool | Primitive_readLocalData (Input &fr, osg::Geometry &geom)
bool | Array_writeLocalData (const Array &array, Output &fw)
bool | Primitive_writeLocalData (const PrimitiveSet &prim, Output &fw)

## Variables

RegisterDotOsgWrapperProxy | g_GeometryFuncProxy (new osg::Geometry,"Geometry","Object Drawable Geometry",&Geometry_readLocalData,&Geometry_writeLocalData, DotOsgWrapper::READ_AND_WRITE)

## Function Documentation

Array * Array_readLocalData | ( | Input & | fr | ) |

bool Array_writeLocalData | ( | const Array & | array,
|  | Output & | fw
| ) |

const char * Geometry_getBindingTypeStr | ( | Geometry::AttributeBinding | mode | ) |

const char * Geometry_getPrimitiveModeStr | ( | GLenum | mode | ) |

bool Geometry_matchBindingTypeStr | ( | const char * | str,
|  | Geometry::AttributeBinding & | mode
| ) |

bool Geometry_matchPrimitiveModeStr | ( | const char * | str,
|  | GLenum & | mode
| ) |

bool Geometry_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool Geometry_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

bool Primitive_readLocalData | ( | Input & | fr,
|  | osg::Geometry & | geom
| ) |

bool Primitive_writeLocalData | ( | const PrimitiveSet & | prim,
|  | Output & | fw
| ) |

## Variable Documentation

RegisterDotOsgWrapperProxy g_GeometryFuncProxy(new osg::Geometry,"Geometry","Object Drawable Geometry",&Geometry_readLocalData,&Geometry_writeLocalData, DotOsgWrapper::READ_AND_WRITE)